#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	HTML
%define		pnam	Parser
Summary:	HTML::Parser - parsing and extracting information from HTML documents
Summary(cs.UTF-8):	HTML::Parser - modul pro parsování HTML v Perlu
Summary(pl.UTF-8):	HTML::Parser - analiza i wyciąganie informacji z dokumentów HTML
Summary(ru.UTF-8):	HTML::Parser - набор модулей для "разбора" HTML-документов
Summary(uk.UTF-8):	HTML::Parser - набір модулів для розбору HTML-документів
Summary(zh_CN.UTF-8):	Perl 的 HTML 解析器模块。
Name:		perl-HTML-Parser
Version:	3.81
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b9f5dd3b14632f7a60541a2b61389c06
URL:		https://metacpan.org/release/HTML-Parser
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
BuildRequires:	perl-HTML-Tagset >= 3
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
BuildRequires:	perl-libwww
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildConflicts:	perl-HTML-Stream = 1.45-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# HTTP::Headers (perl-libwww) is not always required
%define		_noautoreq	perl(HTTP::Headers)

%description
Perl module HTML::Parser that allows to parse and extract information
from HTML documents.

%description -l cs.UTF-8
Balíček perl-HTML-Parser obsahuje modul pro Perl, který slouží k
parsování a extrahování informací z HTML dokumentu.

%description -l da.UTF-8
HTML::Parser modul til Perl for at tolka og extrahere information fra
HTML-dokument.

%description -l de.UTF-8
HTML::Parser modul für Perl zum Parsen und Extrahieren von
Informationen aus HTML-Dokumenten.

%description -l es.UTF-8
Módulo HTML::Parser para perl para analizar y extraer información a
partir de documentos HTML.

%description -l fr.UTF-8
Module HTML::Parser pour perl permettant d'analyser et d'extraire des
informations de documents HTML.

%description -l it.UTF-8
Il modulo HTML::Parser per perl, che consente di analizzare documenti
HTML e di estrarne informazioni.

%description -l ja.UTF-8
HTML ドキュメントから情報を解析、抽出するための Perl 用の HTML::Parser 。

%description -l ko.UTF-8
HTML::Parser 모줄은 펄이 HTML 문서들로 부터 정보를 파싱하고 가져오게끔 합니다.

%description -l pl.UTF-8
Moduł Perla HTML::Parser pozwalający na parsowanie i wyciąganie
informacji z dokumentu HTML.

%description -l pt_BR.UTF-8
Módulo Perl HTML::Parser - Uma coleção de módulos para examinar e
extrair informações de documentos HTML.

%description -l ru.UTF-8
HTML::Parser - набор модулей для "разбора" HTML-документов.

%description -l uk.UTF-8
HTML::Parser - набір модулів для розбору HTML-документів.

%description -l pt.UTF-8
O módulo HTML::Parser para o Perl analisar e extrair informações de
documentos HTML.

%description -l sv.UTF-8
HTML::Parser modul till perl för att tolka och extrahera information
från HTML-dokument.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	DEFINE="-DMARKED_SECTION -DUNICODE_ENTITIES" \
	< /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorarch}/HTML/Entities.pm
%{perl_vendorarch}/HTML/Filter.pm
%{perl_vendorarch}/HTML/HeadParser.pm
%{perl_vendorarch}/HTML/LinkExtor.pm
%{perl_vendorarch}/HTML/Parser.pm
%{perl_vendorarch}/HTML/PullParser.pm
%{perl_vendorarch}/HTML/TokeParser.pm
%dir %{perl_vendorarch}/auto/HTML/Parser
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Parser/Parser.so
%{_mandir}/man3/HTML::Entities.3pm*
%{_mandir}/man3/HTML::Filter.3pm*
%{_mandir}/man3/HTML::HeadParser.3pm*
%{_mandir}/man3/HTML::LinkExtor.3pm*
%{_mandir}/man3/HTML::Parser.3pm*
%{_mandir}/man3/HTML::PullParser.3pm*
%{_mandir}/man3/HTML::TokeParser.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Parser.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 1445c73
- perl 5.38.0 rebuild

* Wed Mar 01 2023 Jan Palus <atler@pld-linux.org> 7020a0b
- up to 3.81

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> a1bfef4
- Up to 3.80

* Sun Oct 16 2022 Jan Palus <atler@pld-linux.org> 6599dbf
- up to 3.79

* Mon Oct 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 9ea56ce
- fixed URL

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> fa7629b
- perl 5.36.0 rebuild

* Wed Apr 06 2022 Jan Palus <atler@pld-linux.org> bb95147
- up to 3.78

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d813717
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e87e84b
- rebuild with perl 5.32

* Sun Mar 07 2021 Jan Palus <atler@pld-linux.org> b1e42c6
- up to 3.76

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 20cfcc2
- updated dependencies, dropped README (copy of man page)

* Tue Sep 08 2020 Jan Palus <atler@pld-linux.org> 328c9ab
- up to 3.75

* Sat Aug 29 2020 Jan Palus <atler@pld-linux.org> 76fbd35
- up to 3.73

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f4063cd
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1bb6b05
- rebuild with perl 5.30.0
- release 5 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> bf04716
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f93cd8e
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c523ee9
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> b8639be
- updated to 3.72

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> cc159c0
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

